Edit an Extension Group
Edit an extension group.
Request URL
POST {base_url}/{api_path}/extensiongroup/update?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of an extension group. Note: You can query extension group's ID using Search Specific Extension Groups. |
| member_select | No | String | How extensions are added to the group. Valid value:
|
| members | No | Array<Member_info> | The information of the member extensions. Note: This parameter is required when member_select is set to sel_specific. |
| mgr_enb_chg_presence Available for manager | No | Integer | Whether managers can change group members' presence status on Operator Panel. Valid value:
|
| mgr_enb_call_distribution Available for manager | No | Integer | Whether managers can distribute incoming calls on Operator Panel, including redirect, transfer, and drag-and-drop operations. Valid value:
|
| mgr_enb_call_conn Available for manager | No | Integer | Whether managers can pick up or hang up other extensions' calls on Operator Panel. Valid value:
|
| mgr_enb_monitor Available for manager | No | Integer | Whether managers can monitor calls on Operator Panel. Valid value:
|
| mgr_enb_call_park Available for manager | No | Integer | Whether managers can park and retrieve calls on Operator Panel. Valid value:
|
| mgr_enb_ctrl_ivr Available for manager | No | Integer | Whether managers can control IVR calls on Operator Panel, regardless of the IVR menu. Valid value:
|
| mgr_enb_ctrl_call_flow Available for manager | No | Integer | Whether managers can control call flow on Operator Panel. Valid value:
|
| mgr_enb_ctrl_ai_receptionist Available for manager | No | Integer | Whether managers can manage AI receptionist calls on Operator Panel. Valid value:
|
| mgr_enb_office_time_switch Available for manager | No | Integer | Whether managers can switch Business Hours and Holidays status on Operator Panel. Valid value:
|
| mgr_enb_mgr_recording Available for manager | No | Integer | Whether managers can change group members' recording status on Operator Panel. Valid value:
|
| mgr_enb_company_contact_match Available for manager | No | Integer | Whether managers can identify incoming calls from company contacts on Operator Panel, regardless of whether they have permission to view the company contacts. Valid value:
|
| mgr_enb_ext_call_distribution Available for manager | No | Integer | Whether managers can distribute incoming calls on Extension Page, including redirect and transfer operations. Valid value:
|
| mgr_enb_ext_call_conn Available for manager | No | Integer | Whether managers can pick up or hang up other extensions' calls on Extension Page. Valid value:
|
| mgr_enb_ext_monitor Available for manager | No | Integer | Whether managers can monitor calls on Extension Page. Valid value:
|
| mgr_enb_ext_call_park Available for manager | No | Integer | Whether managers can park and retrieve calls on Extension Page. Valid value:
|
| mgr_enb_ext_call_flow Available for manager | No | Integer | Whether managers can control call flow on Extension Page. Valid value:
|
| mgr_enb_ext_ai_receptionist Available for manager | No | Integer | Whether managers can manage AI receptionist calls on Extension Page. Valid value:
|
| mgr_enb_ext_company_contact_match Available for manager | No | Integer | Whether managers can identify incoming calls from company contacts on Extension Page, regardless of whether they have permission to view the company contacts. Valid value:
|
| user_enb_chg_presence Available for user | No | Integer | Whether users can change group members' presence status on Operator Panel. Valid value:
|
| user_enb_call_distribution Available for user | No | Integer | Whether users can distribute incoming calls on Operator Panel, including redirect, transfer, and drag-and-drop operations. Valid value:
|
| user_enb_call_conn Available for user | No | Integer | Whether users can pick up or hang up other extensions' calls on Operator Panel. Valid value:
|
| user_enb_monitor Available for user | No | Integer | Whether users can monitor calls on Operator Panel. Valid value:
|
| user_enb_call_park Available for user | No | Integer | Whether users can park and retrieve calls on Operator Panel. Valid value:
|
| user_enb_ctrl_ivr Available for user | No | Integer | Whether users can control IVR calls on Operator Panel, regardless of the IVR menu. Valid value:
|
| user_enb_ctrl_call_flow Available for user | No | Integer | Whether users can control call flow on Operator Panel. Valid value:
|
| user_enb_ctrl_ai_receptionist Available for user | No | Integer | Whether users can manage AI receptionist calls on Operator Panel. Valid value:
|
| user_enb_company_contact_match Available for user | No | Integer | Whether users can identify incoming calls from company contacts on Operator Panel, regardless of whether they have permission to view the company contacts. Valid value:
|
| user_enb_ext_call_distribution Available for user | No | Integer | Whether users can distribute incoming calls on Extension Page, including redirect and transfer operations. Valid value:
|
| user_enb_ext_call_conn Available for user | No | Integer | Whether users can pick up or hang up other extensions' calls on Extension Page. Valid value:
|
| user_enb_ext_monitor Available for user | No | Integer | Whether users can monitor calls on Extension Page. Valid value:
|
| user_enb_ext_call_park Available for user | No | Integer | Whether users can park and retrieve calls on Extension Page. Valid value:
|
| user_enb_ext_call_flow Available for user | No | Integer | Whether users can control call flow on Extension Page. Valid value:
|
| user_enb_ext_ai_receptionist Available for user | No | Integer | Whether users can manage AI receptionist calls on Extension Page. Valid value:
|
| user_enb_ext_company_contact_match Available for user | No | Integer | Whether users can identify incoming calls from company contacts on Extension Page, regardless of whether they have permission to view the company contacts. Valid value:
|
Member_info
Note:This parameter is required when member_select is set to sel_specific.
| Parameter | Required | Type | Description |
|---|---|---|---|
| ext_id | Yes | Integer | Extension ID. Note: You can query extension's ID using Search Specific Extensions. |
| role | Yes | String | The extension user's role in the extension group. Valid value:
|
| enb_chg_presence (Available for custom user) | No | Integer | Whether custom users can change group members' presence status on Operator Panel. Valid value:
|
| enb_call_distribution (Available for custom user) | No | Integer | Whether custom users can distribute incoming calls on Operator Panel, including redirect, transfer, and drag-and-drop operations. Valid value:
|
| enb_call_conn (Available for custom user) | No | Integer | Whether custom users can pick up or hang up other extensions' calls on Operator Panel. Valid value:
|
| enb_monitor (Available for custom user) | No | Integer | Whether custom users can monitor calls on Operator Panel. Valid value:
|
| enb_call_park (Available for custom user) | No | Integer | Whether custom users can park and retrieve calls on Operator Panel. Valid value:
|
| enb_ctrl_ivr (Available for custom user) | No | Integer | Whether custom users can control IVR calls on Operator Panel, regardless of the IVR menu. Valid value:
|
| enb_ctrl_call_flow (Available for custom user) | No | Integer | Whether custom users can control call flow on Operator Panel. Valid value:
|
| enb_ctrl_ai_receptionist (Available for custom user) | No | Integer | Whether custom users can manage AI receptionist calls on Operator Panel. Valid value:
|
| enb_office_time_switch (Available for custom user) | No | Integer | Whether custom users can switch Business Hours and Holidays status on Operator Panel. Valid value:
|
| enb_mgr_recording (Available for custom user) | No | Integer | Whether custom users can change group members' recording status on Operator Panel. Valid value:
|
| enb_company_contact_match (Available for custom user) | No | Integer | Whether custom users can identify incoming calls from company contacts on Operator Panel, regardless of whether they have permission to view the company contacts. Valid value:
|
| enb_ext_call_distribution (Available for custom user) | No | Integer | Whether custom users can distribute incoming calls on Extension Page, including redirect and transfer operations. Valid value:
|
| enb_ext_call_conn (Available for custom user) | No | Integer | Whether custom users can pick up or hang up other extensions' calls on Extension Page. Valid value:
|
| enb_ext_monitor (Available for custom user) | No | Integer | Whether custom users can monitor calls on Extension Page. Valid value:
|
| enb_ext_call_park (Available for custom user) | No | Integer | Whether custom users can park and retrieve calls on Extension Page. Valid value:
|
| enb_ext_call_flow (Available for custom user) | No | Integer | Whether custom users can control call flow on Extension Page. Valid value:
|
| enb_ext_ai_receptionist (Available for custom user) | No | Integer | Whether custom users can manage AI receptionist calls on Extension Page. Valid value:
|
| enb_ext_company_contact_match (Available for custom user) | No | Integer | Whether custom users can identify incoming calls from company contacts on Extension Page, regardless of whether they have permission to view the company contacts. Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
Change the member extensions of extension group "Docs" (ID is "178").
POST /openapi/v1.0/extensiongroup/update?access_token=5SwyByhbSfsNlpI1v4GtHxEDmKsZwzjQ HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"id": 178,
"members": [
{
"ext_id": 159,
"role": "user"
},
{
"ext_id": 10,
"role": "user"
}
]
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}